Bug 91704 - [update] mail/dcc-dccd to 1.3.24, provide text for ports/UPDATING
Summary: [update] mail/dcc-dccd to 1.3.24, provide text for ports/UPDATING
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sam Lawrance
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-01-12 09:30 UTC by Emanuel Haupt
Modified: 2006-02-11 14:54 UTC (History)
0 users

See Also:


Attachments
dcc.patch (2.51 KB, patch)
2006-01-12 09:30 UTC, Emanuel Haupt
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Emanuel Haupt freebsd_committer 2006-01-12 09:30:09 UTC
The following patch updates ports/mail/dcc-dccd to 1.3.24 and provides a text
for ports/UPDATING pointing out config changes.

Changes since 1.3.16:
====================

1.3.24
    Dccproc starts dccifd after 500 uses at least as fast as 0.1/second.
        With luck SpamAssassin will notice and switch to dccifd.
    Look for libsmutil.a in /usr/lib on Linx for old RedHat
        as suggested by Jason Balicki.
    Fix X-DCC header misplaced by dccproc reported by James McNutt.

1.3.23
    Fix bug in dccm, dccproc, and dccifd that tripled effective DCC target
        counts on messages being retransmitted after greylisting.  I
        introduced this bug in version 1.3.21, which was released 3 days ago.

1.3.22
    Fix "POSSIBLE ATTACK" complaint from sendmail about trailing '\n'
        on headers added by dccm reported by Paul Ganci.

1.3.21
    Add a crude cache or database to the proof-of-concept scripts in
        cgi-bin/common to speed them up on large log directories.
        The goal is to handle log directories with 40,000 files within a
        second or two.  The caches files are built incrementally.
    Invert the sort order of list-log in cgi scripts.
        This change to cgi-bin/common should be upward compatible because
        it is controlled by additional parameters to the Perl functions.
    Complain about contradictory or ignored entries in whitelists, including
        "from" checksums that are normally ignored in server whitelists.
    Fix dccd craziness with gre (or any) interfaces with the same IP addresses
        as other interfaces observed Craig Green.
    Fix infinite loop in dccproc triggered by a To: header of more than
        20480 bytes and with a '\n' character in byte #20478 observed by
        James McNutt.
    Ignore a few failures by select() apparently caused by SOCKS libraries.
    Increase default DNSBL timeouts to -Bset:msg-secs=40 and -BURL-secs=11

1.3.20
    Fix dbclean expiration of reputation checksums

1.3.19
    Changed the midnight dccm and dccifd system log message to disclose
        spam passed from whiteclnt-listed MX servers.
    MX servers should now be listed in /var/dcc/whiteclnt with lines like:
                mx      ip      10.2.3.4
                mx      ip      10.5.6.0/28
                mxdcc   ip      10.7.8.9
        "MX" marks the IP address of one of your mail systems that should
        be ignored in initial Received: headers and when reported by
        sendmail to dccm.  "MXDCC" marks IP addresss of your mail systems
        that run DCC clients and that will have already reported mail
        to the DCC.  Continue using "OK" whitelist entries for mail systems
        that you trust to never send or forward unsolicited bulk email.
    Allow custom DNS blacklist SMTP rejection messages.  See
        -Bset:rej-msg=X in the dccifd and dccm man pages.

1.3.18
    Fix `dccm -aIGNORE` crash reported by Juergen Georgi.
    Fix detection of duplicates reputation reports.
    Initial support for "mx ip" entries in whiteclnt files.
    Fix compression by dccd of delayed reputation reports.

1.3.17
    People have broken wget by changing the old "--non-verbose" to
        "--no-verbose". That would have ok, except they do not understand
        what they were doing enough to support the old form.  Reportedly
        "-nv" works on both versions.
    `cdcc stats` on DCC Reputation servers includes an additional line
        about reputation results.
    Adjust logged reason when spam is ignored after greylist as suggested
        by Spike Ilacqua.
    Replace `dccproc -R` with `dccproc -r N`  (Of course, `dccproc -R`
        is still recognized.)
Comment 1 Edwin Groothuis freebsd_committer 2006-01-12 09:32:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Emanuel Haupt freebsd_committer 2006-01-12 09:57:00 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ehaupt

Take.
Comment 3 Dean Hollister 2006-01-12 21:23:57 UTC
At 17:32 12/01/2006, Edwin Groothuis wrote:

>Maintainer of mail/dcc-dccd,
>
>Please note that PR ports/91704 has just been submitted.
>
>If it contains a patch for an upgrade, an enhancement or a bug fix
>you agree on, reply to this email stating that you approve the patch
>and a committer will take care of it.
>
>The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/91704

The files:

/usr/local/dcc/flod
/usr/local/dcc/ids
/usr/local/dcc/map.txt
/usr/local/dcc/map

Need to be installed with .dist extensions. Please include this in 
your update, otherwise I reject it and will submit an update for the 
port this weekend.

Regards,

d.
Comment 4 Emanuel Haupt freebsd_committer 2006-01-12 21:47:41 UTC
State Changed
From-To: feedback->open

Feedback received.
Comment 5 Emanuel Haupt freebsd_committer 2006-01-12 21:48:01 UTC
State Changed
From-To: open->feedback

Version 1.3.25 has just been released, could you maybe 
submit an update?
Comment 6 Emanuel Haupt freebsd_committer 2006-01-14 14:11:54 UTC
Responsible Changed
From-To: ehaupt->freebsd-ports-bugs

Back to the queue, I will be away for the next 3 weeks.
Comment 7 Sam Lawrance freebsd_committer 2006-02-11 05:27:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lawrance

Let's rock and roll
Comment 8 Sam Lawrance freebsd_committer 2006-02-11 14:54:15 UTC
State Changed
From-To: feedback->closed

Committed. I would have left it for you, but perhaps you're not out of 
relaxation mode yet :-)